> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Export All Transactions From Your Account

> Get all transactions for your account, filtered by Pay Link ID, sender public key, or date range.

<Info>
  **Note:** When using the production environment at [moonpay.hel.io](http://app.hel.io), set your API endpoint to `api.hel.io/v1` and generate API keys there. For the development environment, use `api.dev.hel.io/v1` and generate API keys from [moonpay.dev.hel.io](http://app.dev.hel.io).
</Info>


## OpenAPI

````yaml GET /v1/export/payments
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/export/payments:
    get:
      tags:
        - Exports
      summary: Export All Transactions From Your Account
      description: >-
        Get all transactions for your account, filtered by Pay Link ID, sender
        public key, or date range.
      operationId: ExportController_getExportedPayments
      parameters:
        - name: apiKey
          required: true
          in: query
          description: >-
            Your API key can be generated on the Helio Dashboard’s settings
            page.
          schema:
            type: string
        - name: nrDays
          in: query
          required: false
          schema:
            type: string
          description: Return results from the past n days, where the most recent day is 1.
        - name: publicKey
          in: query
          required: false
          schema:
            type: string
          description: Filter by sender public key.
      responses:
        '200':
          description: Successful response with exported payments.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExportedPayment'
              examples:
                exportedPaymentsList:
                  summary: Successful response with exported payments
                  value:
                    - id: 68129f9cc81cc9397e012b3a
                      txSignature: >-
                        2xRE1Yhfq8SPxom2U2EyFxVB27uPKVFUYWUoaZCz58VDm4VMcNf8Ko2wn4FQeLibCrW2DAwVZEyXgNx9iAM4BEAr
                      solScanLink: >-
                        https://solscan.io/tx/2xRE1Yhfq8SPxom2U2EyFxVB27uPKVFUYWUoaZCz58VDm4VMcNf8Ko2wn4FQeLibCrW2DAwVZEyXgNx9iAM4BEAr?cluster=mainnet
                      time: '2025-04-30T22:09:32.978Z'
                      amount: '99'
                      decimalAmount: '0.000099'
                      totalAmountAsUSD: '99'
                      convertedAmount: 0.000099
                      currency: USDC
                      blockchain: SOL
                      from: 7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW
                      intervalUnit: null
                      transactionStatus: SUCCESS
                      fee: 1
                      grossAmount: '4000000'
                      quantity: 1
                      paymentRequestId: 681237aa704dab3e022bb9ed
                      paymentRequestName: Paylink
                      paymentRequestUrl: https://app.hel.io/pay/681237aa704dab3e022bb9ed
                      paymentRequestUrlWithSlug: null
                      cancelAt: null
                      startAt: null
                      endAt: null
                      transactionType: PAYLINK
                      affiliateFee: '0'
        '401':
          description: Provided API key has no access to the resource.
          content:
            application/json:
              examples:
                unauthorized:
                  summary: Invalid or missing API key
                  value:
                    message: Api key or token is invalid
                    code: 401
      security:
        - bearer: []
components:
  schemas:
    ExportedPayment:
      type: object
      properties:
        id:
          type: string
        txSignature:
          type: string
        solScanLink:
          type: string
        paymentRequestId:
          type: string
        paymentRequestUrl:
          type: string
        paymentRequestName:
          type: string
        quantity:
          type: number
        time:
          type: string
        amount:
          type: number
        decimalAmount:
          type: string
        totalAmountAsUSD:
          type: number
        currency:
          type: string
        blockchain:
          type: string
          enum:
            - SOL
        from:
          type: string
        paymentRequestUrlWithSlug:
          type: string
        cancelAt:
          type: number
        endAt:
          type: number
        startAt:
          type: number
        intervalUnit:
          type: string
          enum:
            - SECOND
        email:
          type: string
        discordUsername:
          type: string
        twitterUsername:
          type: string
        telegramUsername:
          type: string
        fullName:
          type: string
        country:
          type: string
        deliveryAddress:
          type: string
        phoneNumber:
          type: string
        state:
          type: string
        street:
          type: string
        streetNumber:
          type: string
        city:
          type: string
        areaCode:
          type: string
        name:
          type: string
        value:
          type: string
        affiliateFee:
          type: number
        affiliateWallet:
          type: string
        fee:
          type: number
        transactionStatus:
          type: string
        btcProperties:
          type: object
          properties:
            ordinalsAddress:
              type: string
        transactionType:
          type: string
          enum:
            - REFUNDED
        additionalJSON:
          type: string
        discountCode:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication using JWT token

````